Package org.eclipse.ui

# Interface IPageListener

All Known Implementing Classes:
  `CloseAllSavedAction`, `NavigationHistoryAction`, `PageEventAction`, `PerspectiveTracker`

public interface IPageListener
Interface for listening to page lifecycle events.

This interface may be implemented by clients.

See Also:
  - `IPageService.addPageListener(org.eclipse.ui.IPageListener)`

## Method Summary

Modifier and Type
Method
Description
`void`
`pageActivated(IWorkbenchPage page)`
Notifies this listener that the given page has been activated.
`void`
`pageClosed(IWorkbenchPage page)`
Notifies this listener that the given page has been closed.
`void`
`pageOpened(IWorkbenchPage page)`
Notifies this listener that the given page has been opened.

## Method Details

### pageActivated

void pageActivated(IWorkbenchPage page)
Notifies this listener that the given page has been activated.

Parameters:
  `page` - the page that was activated
See Also:
  - `IWorkbenchWindow.setActivePage(org.eclipse.ui.IWorkbenchPage)`

### pageClosed

void pageClosed(IWorkbenchPage page)
Notifies this listener that the given page has been closed.

Parameters:
  `page` - the page that was closed
See Also:
  - `IWorkbenchPage.close()`

### pageOpened

void pageOpened(IWorkbenchPage page)
Notifies this listener that the given page has been opened.

Parameters:
  `page` - the page that was opened
See Also:
  - `IWorkbenchWindow.openPage(java.lang.String, org.eclipse.core.runtime.IAdaptable)`